<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>SI-BKD Biodata</title>
  </head>
  <body>
    <div layout:fragment="main" class="container">
      <div class="row justify-content-center">
        <div class="col-md-3" align="right">
          <img
            src="https://dummyimage.com/sqrpop"
            width="250"
            height="250"
            class="img-thumbnail mb-2"
            alt="..."
            th:if="${biodata.profil == null}"
          />
          <img
            th:src="@{/upload/{foto}/biodata/ (foto =${biodata.id})}"
            width="250"
            height="250"
            class="img-thumbnail mb-2"
            alt="..."
            th:if="${biodata.profil != null}"
          />
          <!--            <button class="btn btn-outline-primary align-content-end">Ubah Foto</button>-->
        </div>
        <div class="col-md-7 table-responsive">
          <form
            method="post"
            th:action="@{/biodata/simpan}"
            th:object="${biodata}"
            enctype="multipart/form-data"
          >
            <h3 class="text-black">Biodata</h3>
            <table class="table table-striped table-bordered mb-5">
              <tbody>
                <tr>
                  <td class="align-middle p-2" width="40%">Nama Lengkap</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      name="nama"
                      th:field="*{nama}"
                      required
                      placeholder="Nama Lengkap"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Email</td>
                  <td class="align-middle p-2">
                    <input
                      type="email"
                      class="form-control"
                      name="email"
                      disabled
                      th:field="*{email}"
                      placeholder="Email"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Foto</td>
                  <td class="align-middle p-2">
                    <input
                      type="file"
                      class="form-control"
                      name="foto"
                      placeholder="Email"
                      aria-label="First name"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">NIDN</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="NIDN"
                      th:field="*{nidn}"
                      name="nidn"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Kartu NIDN</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      type="file"
                      name="kartuNidn"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Nomor Sertifikat Dosen</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      name="nomorSertifikat"
                      th:field="*{nomorSertifikat}"
                      placeholder="Nomor Sertifikat Dosen"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Sertifikat Dosen</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      name="sertifikatDosen"
                      type="file"
                      id="formFile5"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Perguruan Tinggi</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      name="perguruanTinggi"
                      disabled
                      th:value="*{perguruanTinggi.namaPerguruanTinggi}"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Fakultas</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      name="fakultas"
                      th:field="*{fakultas}"
                      placeholder="Fakultas"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Program Studi</td>
                  <td class="align-middle p-2">
                    <select
                      class="form-select"
                      name="prodi"
                      th:field="*{prodi}"
                      id="selecttiga"
                      aria-label="Default select example"
                    >
                      <option
                        th:each="prodi : ${prodi}"
                        th:text="${prodi.namaProgramStudi}"
                        th:value="${prodi.id}"
                      >
                        One
                      </option>
                    </select>
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Nomor Telepon</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      th:field="*{telepon}"
                      name="telepon"
                      placeholder="Nomor Telepon"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Alamat</td>
                  <td class="align-middle p-2">
                    <textarea
                      class="form-control"
                      id="exampleFormControlTextarea1"
                      th:field="*{alamat}"
                      name="alamat"
                      rows="3"
                    ></textarea>
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Jabatan Struktural (DT)</td>
                  <td class="align-middle p-2">
                    <select
                      class="form-select"
                      name="jabatanStruktural"
                      id="selectempat"
                      th:field="*{jabatanStruktural}"
                      aria-label="Default select example"
                    >
                      <option
                        th:each="data : ${listJabatan}"
                        th:text="${data.namaJabatanStruktural}"
                        th:value="${data.id}"
                      >
                        One
                      </option>
                    </select>
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">SK DT</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      name="skDt"
                      type="file"
                      id="formFile1"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Jabatan Fungsional</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      th:field="*{jabatanFungsional}"
                      name="jabatanFungsional"
                      placeholder="Jabatan Fungsional"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">SK Jafung Terakhir</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      name="skJafung"
                      type="file"
                      id="formFile2"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
              </tbody>
            </table>

            <h3 class="text-success">Riwayat Pendidikan</h3>
            <table class="table table-bordered table-striped mb-5">
              <tbody>
                <tr>
                  <td colspan="2"><span class="text-success">Sarjana</span></td>
                </tr>
                <tr>
                  <td class="align-middle p-2" width="40%">Judul Skripsi</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      name="judulSkripsi"
                      th:field="*{judulSkripsi}"
                      placeholder="Judul Skripsi"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Ijasah S1</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      type="file"
                      name="ijazahs1"
                      id="formFile6"
                      onchange="validateSize(this)"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Perguruan Tinggi</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Perguruan Tinggi"
                      name="perguruans1"
                      th:field="*{perguruans1}"
                      aria-label="First name"
                    />
                  </td>
                </tr>

                <tr>
                  <td colspan="2">
                    <span class="text-success">Pascasarjana</span>
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Judul Tesis</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      th:field="*{judulTesis}"
                      placeholder="Judul Tesis"
                      name="judulTesis"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Ijasah S2</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      type="file"
                      id="formFile7"
                      onchange="validateSize(this)"
                      name="ijazahs2"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Perguruan Tinggi</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Perguruan Tinggi"
                      th:field="*{perguruans2}"
                      name="perguruans2"
                      aria-label="First name"
                    />
                  </td>
                </tr>
                <tr>
                  <td colspan="2">
                    <span class="text-success">Doktoral</span>
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Judul Disertasi</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Judul Disertasi"
                      aria-label="First name"
                      th:field="*{judulDisertasi}"
                      name="judulDisertasi"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Ijasah S3</td>
                  <td class="align-middle p-2">
                    <input
                      class="form-control"
                      type="file"
                      id="formFile8"
                      onchange="validateSize(this)"
                      name="ijazahs3"
                    />
                  </td>
                </tr>
                <tr>
                  <td class="align-middle p-2">Perguruan Tinggi</td>
                  <td class="align-middle p-2">
                    <input
                      type="text"
                      class="form-control"
                      placeholder="Perguruan Tinggi"
                      aria-label="First name"
                      name="perguruans3"
                      th:field="*{perguruans3}"
                    />
                  </td>
                </tr>
              </tbody>
              <tfoot>
                <input type="hidden" name="id" th:field="*{id}" />
                <input type="hidden" name="idDosen" th:field="*{idDosen}" />
                <tr>
                  <td colspan="2">
                    <button type="submit" class="btn btn-success">
                      Simpan
                    </button>
                    <a class="btn btn-warning" th:href="@{/biodata}">Batal</a>
                  </td>
                </tr>
              </tfoot>
            </table>
          </form>
        </div>
      </div>
    </div>
  </body>
</html>
<script th:inline="javascript">
  /*<![CDATA[*/
  $(document).ready(function () {
    // alert('Hello')
  });

  $("#selectsatu").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#selectdua").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#selecttiga").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });
  $("#selectempat").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#asesorSatu").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#asesorDua").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  function validateSize(input) {
    const fileSize = input.files[0].size / 1024; // in KB
    // if (n == 1) {
    //     var form = document.getElementById('form1');
    // } else if (n == 2) {
    //     var form = document.getElementById('form2');
    // } else if (n == 3) {
    //     var form = document.getElementById('form3');
    // }else {
    //     var form = document.getElementById('form4');
    // }
    if (fileSize > 1000) {
      event.target.value = "";
      alert("Ukuran file melebihi 1 Mb");
    } else {
      // input.form.submit();
    }
  }

  function simpanAsesor() {
    var value1 = document.getElementById("asesorSatu").value;
    var value2 = document.getElementById("asesorDua").value;
    var dosen = document.getElementById("dosen").value;

    var data = new URLSearchParams();
    data.append("idAsessorSatu", value1);
    data.append("idAsesorDua", value2);
    data.append("dosen", dosen);

    fetch("/dosen/update-asesor-dosen", {
      method: "POST",
      body: data,
    })
      .then((response) => response.json())
      .then((result) => {
        console.log(result.message);
        // Lakukan tindakan lain setelah berhasil menyimpan data
      })
      .catch((error) => {
        console.error("Terjadi kesalahan:", error);
      });
  }
</script>
